### Method

# Gimp Image merge_visible_layers

#### Declaration [src]

    GimpLayer*
    gimp_image_merge_visible_layers (
      GimpImage* image,
      GimpMergeType merge_type
    )

#### Description [src]

Merge the visible image layers into one.

This procedure combines the visible layers into a single layer using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

#### Parameters

`merge_type` | `GimpMergeType`
| The type of merge.

#### Return value

Returns: | `GimpLayer`
| The resulting layer.
| The data is owned by the instance.